Skip to main content
`Ctrl`+`K`

# MatSeqSBAIJGetArray

gives access to the array where the numerical data for a `MATSEQSBAIJ` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqSBAIJGetArray(Mat A, PetscScalar *array[])

Not Collective

## Input Parameter

- A - a `MATSEQSBAIJ` matrix

## Output Parameter

- array - pointer to the data

## See Also

Matrices, `Mat`, `MATSEQSBAIJ`, `MatSeqSBAIJRestoreArray()`, `MatSeqAIJGetArray()`, `MatSeqAIJRestoreArray()`

## Level

intermediate

## Location

src/mat/impls/sbaij/seq/sbaij.c

## Implementations

MatSeqSBAIJGetArray_SeqSBAIJ() in src/mat/impls/sbaij/seq/sbaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages